Summary:	Google C++ testing framework
Name:		gtest
Version:	1.0.0
Release:	1%{?dist}
License:	BSD
Group:		Development/Tools
URL:		http://code.google.com/p/googletest/
Source0:	http://googletest.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	chrpath

%description
Google's framework for writing C++ tests on a variety of platforms (GNU/Linux,
Mac OS X, Windows, Windows CE, and Symbian). Based on the xUnit architecture.
Supports automatic test discovery, a rich set of assertions, user-defined
assertions, death tests, fatal and non-fatal failures, various options for
running the tests, and XML test report generation.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	automake
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

# Keep a clean copy of samples.
cp -pr ./samples ./samples.orig

%build
%configure --disable-static

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%check
make check

# Restore the clean copy of samples.
# To be later listed against %doc.
rm -rf ./samples
mv ./samples.orig ./samples

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

# Remove rpaths.
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libgtest_main.so.0.0.0

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES
%doc CONTRIBUTORS
%doc COPYING
%doc README
%{_libdir}/libgtest.so.*
%{_libdir}/libgtest_main.so.*

%files devel
%defattr(-,root,root,-)
%doc samples
%{_bindir}/%{name}-config
%{_datadir}/aclocal/%{name}.m4
%{_libdir}/libgtest.so
%{_libdir}/libgtest_main.so

%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/internal

%changelog
* Sat Jul 05 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.0.0-1
- Initial build.
